Bug 1203180 - [abrt] glances: glances.py:2581:end:error: nocbreak() returned ERR
Summary: [abrt] glances: glances.py:2581:end:error: nocbreak() returned ERR
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: glances
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Edouard Bourguignon
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fe491088a0da9381f90bc788fc3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-18 10:40 UTC by sistemma
Modified: 2015-12-02 17:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 10:13:12 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (849 bytes, text/plain)
2015-03-18 10:40 UTC, sistemma
no flags Details
File: environ (3.30 KB, text/plain)
2015-03-18 10:40 UTC, sistemma
no flags Details

Description sistemma 2015-03-18 10:40:13 UTC
Version-Release number of selected component:
glances-1.7.7-2.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python /usr/bin/glances
executable:     /usr/bin/glances
kernel:         3.18.8-201.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
glances.py:2581:end:error: nocbreak() returned ERR

Traceback (most recent call last):
  File "/usr/bin/glances", line 9, in <module>
    load_entry_point('Glances==1.7.7', 'console_scripts', 'glances')()
  File "/usr/lib/python2.7/site-packages/glances/glances.py", line 4913, in main
    screen.update(stats)
  File "/usr/lib/python2.7/site-packages/glances/glances.py", line 2657, in update
    curses.napms(100)
  File "/usr/lib/python2.7/site-packages/glances/glances.py", line 4579, in signal_handler
    end()
  File "/usr/lib/python2.7/site-packages/glances/glances.py", line 4570, in end
    screen.end()
  File "/usr/lib/python2.7/site-packages/glances/glances.py", line 2581, in end
    curses.nocbreak()
error: nocbreak() returned ERR

Local variables in innermost frame:
self: <glances.glances.glancesScreen instance at 0x7f3d4bf92440>

Comment 1 sistemma 2015-03-18 10:40:18 UTC
Created attachment 1003148 [details]
File: backtrace

Comment 2 sistemma 2015-03-18 10:40:21 UTC
Created attachment 1003149 [details]
File: environ

Comment 3 Fedora End Of Life 2015-11-04 13:07:37 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-12-02 10:13:15 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.